org.apache.cassandra.streaming

## Class StreamEvent

- java.lang.Object
- - org.apache.cassandra.streaming.StreamEvent

- Direct Known Subclasses:
    StreamEvent.ProgressEvent, StreamEvent.SessionCompleteEvent, StreamEvent.SessionPreparedEvent

      public abstract class StreamEvent
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StreamEvent.ProgressEvent`
    `static class` | `StreamEvent.SessionCompleteEvent`
    `static class` | `StreamEvent.SessionPreparedEvent`
    `static class` | `StreamEvent.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `StreamEvent.Type` | `eventType`
    `java.util.UUID` | `planId`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StreamEvent(StreamEvent.Type eventType, java.util.UUID planId)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### eventType

          public final StreamEvent.Type eventType

    - #### planId

          public final java.util.UUID planId

  - ### Constructor Detail

    - #### StreamEvent

          protected StreamEvent(StreamEvent.Type eventType,
                                java.util.UUID planId)

Copyright © 2018 The Apache Software Foundation